package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbEquipMaintenanceWeeklyEntity;
import com.ruoyi.web.v3.model.request.HbEquipMaintenanceWeeklyPageReq;

/**
 * <p>
 * v3.0 设备维保记录（周次） 服务类
 * </p>
 */
public interface IHbEquipMaintenanceWeeklyService extends IService<HbEquipMaintenanceWeeklyEntity> {

    AjaxResult add(HbEquipMaintenanceWeeklyEntity request);

    AjaxResult edit(HbEquipMaintenanceWeeklyEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbEquipMaintenanceWeeklyPageReq request);

    AjaxResult listAll();
}
